# Uses of Interface
org.springframework.http.codec.multipart.PartEvent

Packages that use PartEvent
Package
Description
org.springframework.http.codec.multipart
Multipart support.

## Uses of PartEvent in org.springframework.http.codec.multipart

Subinterfaces of PartEvent in org.springframework.http.codec.multipart
Modifier and Type
Interface
Description
`interface`
`FilePartEvent`
Represents an event triggered for a file upload.
`interface`
`FormPartEvent`
Represents an event triggered for a form field.
Methods in org.springframework.http.codec.multipart that return types with arguments of type PartEvent
Modifier and Type
Method
Description
`reactor.core.publisher.Flux<PartEvent>`
PartEventHttpMessageReader.`read(org.springframework.core.ResolvableType elementType, ReactiveHttpInputMessage message, Map<String,Object> hints)`
`reactor.core.publisher.Mono<PartEvent>`
PartEventHttpMessageReader.`readMono(org.springframework.core.ResolvableType elementType, ReactiveHttpInputMessage message, Map<String,Object> hints)`
Method parameters in org.springframework.http.codec.multipart with type arguments of type PartEvent
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
PartEventHttpMessageWriter.`write(Publisher<? extends PartEvent> partDataStream, org.springframework.core.ResolvableType elementType, MediaType mediaType, ReactiveHttpOutputMessage outputMessage, Map<String,Object> hints)`